# Uses of Class
javafx.scene.paint.Material

Packages that use Material
Package
Description
javafx.scene.paint
Provides the set of classes for colors and gradients used to fill shapes and backgrounds when rendering the scene graph.
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of Material in javafx.scene.paint

Subclasses of Material in javafx.scene.paint
Modifier and Type
Class
Description
`class`
`PhongMaterial`
The `PhongMaterial` class provides definitions of properties that represent a Phong shaded material.

## Uses of Material in javafx.scene.shape

Methods in javafx.scene.shape that return Material
Modifier and Type
Method
Description
`final Material`
Shape3D.`getMaterial()`
Gets the value of the `material` property.
Methods in javafx.scene.shape that return types with arguments of type Material
Modifier and Type
Method
Description
`final ObjectProperty<Material>`
Shape3D.`materialProperty()`
Defines the material this `Shape3D`.
Methods in javafx.scene.shape with parameters of type Material
Modifier and Type
Method
Description
`final void`
Shape3D.`setMaterial(Material value)`
Sets the value of the `material` property.